For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/mail/post-api-mail-v1send.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Send email

POST
/api/mail/v1/send
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { response, emailError } = await reloop.mail.send({
6 from: "Reloop <hello@send.example.com>",
7 to: "user@example.com",
8 subject: "Welcome to Reloop",
9 html: "<p>Thanks for signing up.</p>",
10 text: "Thanks for signing up.",
11 reply_to: "support@example.com",
12 tags: [{ name: "campaign", value: "welcome" }],
13});
14if (emailError) throw emailError;
1{
2 "success": true,
3 "messageId": "example_messageId",
4 "status": "example_status",
5 "timestamp": "example_timestamp",
6 "id": "con_123456789"
7}

Body Parameters

fromstringRequired

Sender email address

tostring | string[]Required

Recipient email address(es) (max 50)

Example: ["value1", "value2"]

subjectstringRequired

Email subject

  • Minimum length: 1
  • Maximum length: 255
ccstring | string[]

CC email address(es) (max 50)

Example: ["value1", "value2"]

bccstring | string[]

BCC email address(es) (max 50)

Example: ["value1", "value2"]

textstring

Plain text content

htmlstring

HTML content

reply_tostring | string[]

Reply-to email address

Example: ["value1", "value2"]

scheduled_atstring

Schedule email to be sent later (ISO 8601)

headersobject

Custom headers to add to the email

channel_idstring

The channel ID to receive the email

attachmentsobject[]

Email attachments

attachments properties
contentstring | any
filenamestring
pathstring
content_typestring
content_idstring
tagsobject[]

Custom tags passed in key/value pairs

tags properties
namestringRequired

The name of the email tag.

  • Maximum length: 256
valuestringRequired

The value of the email tag.

  • Maximum length: 256
templateobject

Email template to use

template properties
idstringRequired

Template ID

variablesobject

Variables to replace in the template

thread_idstring

Thread ID to link this email to an existing conversation thread

Was this page helpful?